ZooKeeperMain (ZooKeeper 3.4.6 API)
Date: 2014-02-20

org.apache.zookeeper

## Class ZooKeeperMain

- java.lang.Object
- - org.apache.zookeeper.ZooKeeperMain

-     public class ZooKeeperMain
      extends Object

  The command line client to ZooKeeper.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZooKeeperMain(String[] args)`
    `ZooKeeperMain(ZooKeeper zk)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `createQuota(ZooKeeper zk, String path, long bytes, int numNodes)` this method creates a quota node for the path
    `static boolean` | `delQuota(ZooKeeper zk, String path, boolean bytes, boolean numNodes)` this method deletes quota for a node.
    `void` | `executeLine(String line)`
    `static List<String>` | `getCommands()`
    `boolean` | `getPrintWatches()`
    `static void` | `main(String[] args)`
    `static void` | `printMessage(String msg)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZooKeeperMain

          public ZooKeeperMain(String[] args)
                        throws IOException,
                               InterruptedException

      Throws:
        `IOException`
        `InterruptedException`

    - #### ZooKeeperMain

          public ZooKeeperMain(ZooKeeper zk)

  - ### Method Detail

    - #### getPrintWatches

          public boolean getPrintWatches()

    - #### getCommands

          public static List<String> getCommands()

    - #### printMessage

          public static void printMessage(String msg)

    - #### main

          public static void main(String[] args)
                           throws KeeperException,
                                  IOException,
                                  InterruptedException

      Throws:
        `KeeperException`
        `IOException`
        `InterruptedException`

    - #### executeLine

          public void executeLine(String line)
                           throws InterruptedException,
                                  IOException,
                                  KeeperException

      Throws:
        `InterruptedException`
        `IOException`
        `KeeperException`

    - #### delQuota

          public static boolean delQuota(ZooKeeper zk,
                         String path,
                         boolean bytes,
                         boolean numNodes)
                                  throws KeeperException,
                                         IOException,
                                         InterruptedException

      this method deletes quota for a node.
      Parameters:
        `zk` - the zookeeper client
        `path` - the path to delete quota for
        `bytes` - true if number of bytes needs to be unset
        `numNodes` - true if number of nodes needs to be unset
      Returns:
        true if quota deletion is successful
      Throws:
        `KeeperException`
        `IOException`
        `InterruptedException`

    - #### createQuota

          public static boolean createQuota(ZooKeeper zk,
                            String path,
                            long bytes,
                            int numNodes)
                                     throws KeeperException,
                                            IOException,
                                            InterruptedException

      this method creates a quota node for the path
      Parameters:
        `zk` - the ZooKeeper client
        `path` - the path for which quota needs to be created
        `bytes` - the limit of bytes on this path
        `numNodes` - the limit of number of nodes on this path
      Returns:
        true if its successful and false if not.
      Throws:
        `KeeperException`
        `IOException`
        `InterruptedException`

Copyright © 2014 The Apache Software Foundation